Get Goal
curl --request GET \
--url https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/scorecard/goals/{goal_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/scorecard/goals/{goal_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/scorecard/goals/{goal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"runs": [
{
"date": "2023-12-25",
"executed_at": "2023-11-07T05:31:56Z",
"status": "success",
"duration_ms": 123,
"error": "<string>"
}
],
"state": "<string>",
"title": "<string>",
"view_type": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"datapoints": [
{
"date": "2023-12-25",
"payload": {},
"status": "<string>"
}
],
"dimensions": [
{
"kind": "engine",
"label": "<string>"
}
],
"explanation": [
"<string>"
],
"intent": "<string>",
"metric": "<string>",
"status": "<string>",
"target": "<string>"
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}Scorecard
Get a goal
Read the status, datapoints, and recent test runs of a Scorecard goal. Discover why a metric changes and inspect detailed run diagnostics for a brand.
GET
/
customer
/
v1
/
brands
/
{brand_id}
/
scorecard
/
goals
/
{goal_id}
Get Goal
curl --request GET \
--url https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/scorecard/goals/{goal_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/scorecard/goals/{goal_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://app.backend.genezio.ai/customer/v1/brands/{brand_id}/scorecard/goals/{goal_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"id": 123,
"runs": [
{
"date": "2023-12-25",
"executed_at": "2023-11-07T05:31:56Z",
"status": "success",
"duration_ms": 123,
"error": "<string>"
}
],
"state": "<string>",
"title": "<string>",
"view_type": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"category": "<string>",
"datapoints": [
{
"date": "2023-12-25",
"payload": {},
"status": "<string>"
}
],
"dimensions": [
{
"kind": "engine",
"label": "<string>"
}
],
"explanation": [
"<string>"
],
"intent": "<string>",
"metric": "<string>",
"status": "<string>",
"target": "<string>"
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}{
"error": {
"code": "brand_access_denied",
"message": "This API key has no access to this brand",
"details": [
{
"field": "page_size",
"message": "Input should be less than or equal to 100"
}
],
"request_id": "4f3c2e1a-9b7d-4c1e-8f2a-1d3e5b7c9a0f"
}
}Authorizations
An API key of your account, from Settings > API Keys. It starts with gnz-.
Path Parameters
A goal of the Business Scorecard of the brand.
Response
Successful Response
The ten newest runs, the newest first.
Show child attributes
Show child attributes
healthy, partial or needs_attention: if the nightly runs work.
The card that draws the goal, such as multi_line.
The last 90 days, the oldest first.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
How the goal is computed.
The sentence that the person wrote.
What the goal measures.
The status of the newest datapoint.
The value that reaches the goal.